Bug 1137 - xmltex - missing requiries and triggers
: xmltex - missing requiries and triggers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/passivetex)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-29 13:40 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-29 13:40:00
Пакета xmltex в BTS нет, поэтому вешаю на passivetex, сейчас у них один
мантэйнер.

1.
xmltex - не указан порядок пакетов для установки:
$ apt-get install passivetex
Обработка файловых зависимостей... Завершено
Чтение списков пакетов... Завершено         
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  dialog tetex xmltex 
Следующие НОВЫЕ пакеты будут установлены:
  dialog passivetex tetex xmltex 
0 пакетов будет обновлено, 4 будет добавлено новых, 0 будет удалено(заменено) и
0 не будет обновлено.
Необходимо получить 0B/20,4MB архивов. После распаковки 52,5MБ будет
использовано.
Продолжить? [Y/n] 
Выполняется программа RPM (/bin/rpm -Uv --replacepkgs -h --fancypercent)...
Подготовка...               
##########################################################################
[100%]
1: dialog                   
########################################################################## [
25%]
2: xmltex                   
########################################################################## [
50%]
/var/tmp/rpm-tmp.68792: /usr/bin/texhash: No such file or directory
ошибка: ошибка выполнения сценария %post из xmltex-1.8-alt1, код возврата 127
3: tetex                    
########################################################################## [
75%]
4: passivetex               
##########################################################################
[100%]
E: Подпроцесс /bin/rpm завершился с ошибкой (4)

$ rpm -qf /usr/bin/texhash 
tetex-1.0.7-ipl20mdk

2.
xmltex - не хватает зависимости:
При обработке xmltex docs-howto.fo :


0:font-family = \"Times Roman\" 
     0:font-size = \"10pt\" 
     0:text-align = \"justify\" 
     0:line-height = \"normal\" 
     0:language = \"en\"  >

! LaTeX Error: File `article.cls\' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: cls)

Enter file name: 


После установки:
$ rpm -qf `slocate article.cls`
tetex-latex-1.0.7-ipl20mdk

3.
xmltex - не хватает зависимости:

При обработке pdfxmltex docs-howto.fo :

         <5:block 
             0:text-align = \"center\" 
             0:font-size = \"10pt\"  > 
          <5:page-number  > 
          </5:page-number> 
         </5:block> [1
Warning: pdfxmltex (file pdftex.map): cannot open font map file
./p.sh: line 10: 11416 Segmentation fault      pdfxmltex $DOCNAME.fo

После установки :

$ rpm -qf `slocate pdftex.map`
tetex-dvips-1.0.7-ipl20mdk


xmltex-1.8-alt1
passivetex-20020626-alt3
---

---
------- Comment #1 From 2002-09-09 10:31:30 -------
fixed by xmltex-1.8-alt2
------- Comment #2 From 2002-09-09 10:31:30 -------
fixed by xmltex-1.8-alt2